Skip to content
CARP Docs
Ask AISystemLightDark

Create

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor

Deprecated

This endpoint is deprecated. Do not use it in new code.
POST
/api/deployments/{deployment-id}/consent-documents
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

deployment-id*string
application/json
  1. body
integralNumber?boolean
missingNode?boolean
floatingPointNumber?boolean
nodeType?string
Value in"ARRAY""BINARY""BOOLEAN""MISSING""NULL""NUMBER""OBJECT""POJO""STRING"
string?boolean
textual?booleanDeprecated
boolean?boolean
binary?boolean
valueNode?boolean
container?boolean
object?boolean
pojo?boolean
short?boolean
int?boolean
long?boolean
double?boolean
bigDecimal?boolean
bigInteger?boolean
number?boolean
array?boolean
empty?boolean
null?boolean
float?boolean
embeddedValue?boolean

Response body

Created

*/*
  1. response
createdBy?string|null
createdAt?|
Formatdate-time
updatedBy?string|null
updatedAt?|
Formatdate-time
id?integer
Formatint32
deploymentId?string|null
data?|null
Example request
curl -X POST 'https://dev.carp.dk/api/deployments/string/consent-documents' \  -H 'Content-Type: application/json' \  -d '{}'
Example response
{  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedBy": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "id": 0,  "deploymentId": "string",  "data": {    "integralNumber": true,    "missingNode": true,    "floatingPointNumber": true,    "nodeType": "ARRAY",    "string": true,    "textual": true,    "boolean": true,    "binary": true,    "valueNode": true,    "container": true,    "object": true,    "pojo": true,    "short": true,    "int": true,    "long": true,    "double": true,    "bigDecimal": true,    "bigInteger": true,    "number": true,    "array": true,    "empty": true,    "null": true,    "float": true,    "embeddedValue": true  }}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture